/* -*- Mode:C++; c-file-style:"gnu"; indent-tabs-mode:nil; -*- */
/*
 * Copyright (c) 2010,2011,2012,2013 TELEMATICS LAB, Politecnico di Bari
 *
 * This file is part of LTE-Sim
 *
 * LTE-Sim is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as
 * published by the Free Software Foundation;
 *
 * LTE-Sim is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with LTE-Sim; if not, see <http://www.gnu.org/licenses/>.
 *
 * Author: @rafaelf
 */

#ifndef QOSFORFUZZY_H_
#define QOSFORFUZZY_H_

#include "QoSParameters.h"

class QoSForFuzzy :public QoSParameters {

public:
	QoSForFuzzy ();
	QoSForFuzzy(double targetDelay);
	QoSForFuzzy(double targetDelay,
			  double dropProbability);

	virtual ~QoSForFuzzy();

	void
	SetDropProbability (double probability);
	double
	GetDropProbability (void) const;

	//Debug
	void
	Print ();

private:
	double m_dropProbability;
};

#endif /* QOSFORFUZZY_H_ */
